Subject: bug#76018: 31.0.50; wrap-prefix properties from visual-wrap-prefix-mode proliferate

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jun 2025 07:58:30 +0300

> Date: Sat, 31 May 2025 11:06:24 -0700
> From: Jim Porter <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> 
> On 5/31/2025 10:48 AM, Jim Porter wrote:
> > It *should* be supported. However, it turns out that 
> > 'add-display-text-property' doesn't work right with '(margin nil)'. I 
> > think the first step here should be to fix all the bugs I've found with 
> > 'add-display-text-property', and then I'll work on finishing up the rest.
> 
> Ok, that was simpler than I thought. Eli, what do you think about adding 
> this patch to the Emacs 30 branch? It just fixes some bugs in 
> 'add-display-text-property', as described in the commit message.

Not sure we should make such changes on the release branch.
Especially since I don't understand the issue very well: what do you
mean by "list came directly from the property value" and by "used by
other regions of text"?

> When calling 'add-display-property' on a region of text that already
                ^^^^^^^^^^^^^^^^^^^^
Typo: that's not the correct name of the function.